Future Me
Create Future Me predictions based on user scans.
accept: application/json;v=1
authorization: Bearer {{API_KEY}}
content-type: application/jsonAuthorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
unit-systemstring · enumOptionalPossible values:
The unit system in which values will be returned.
Body
scanIdstringRequiredExample:
The unique ID of the scan within the Hosted API on which the body shape prediction is based.
unique-scan-idpredictionTypestring · enumRequiredExample:
The prediction type that should be used for the prediction.
weight_lossPossible values: targetWeightnumber · min: 1OptionalExample:
The target weight in kg for the prediction. This or targetBodyfat should be specified, but not both.
50targetBodyfatnumber · min: 1OptionalExample:
The target body fat percentage for the prediction. This or targetWeight should be specified, but not both.
20Responses
201Success
application/json;v=1
post
/body-shape-prediction201Success
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
bodyShapePredictionIdstringRequiredExample:
The unique ID of the body shape prediction.
unique-body-shape-prediction-idQuery parameters
unit-systemstring · enumOptionalPossible values:
The unit system in which values will be returned.
Responses
200Success
application/json;v=1
get
/body-shape-prediction/{bodyShapePredictionId}200Success
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
bodyShapePredictionIdstringRequiredExample:
The unique ID of the body shape prediction.
unique-body-shape-prediction-idResponses
200Success
application/json;v=1
delete
/body-shape-prediction/{bodyShapePredictionId}200Success
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
scanIdstringRequiredExample:
The unique ID of the scan.
unique-scan-idQuery parameters
unit-systemstring · enumOptionalPossible values:
The unit system in which values will be returned.
Responses
200Success
application/json;v=1
get
/scans/{scanId}/body-shape-predictions200Success
Last updated